#ifndef _COMMON_DRAWBITMAP_HPP_
#define _COMMON_DRAWBITMAP_HPP_
#ifndef _COMMON_WINDOWS_HPP_
#include <common/windows.hpp>
#endif

class DrawBitmap
{
public:
	DrawBitmap(void);
	virtual ~DrawBitmap();
	void drawBitmap(HBITMAP hBitmap)const;
	void drawBitmap(HWND hWnd,HBITMAP hBitmap)const;
	void drawBitmap(HDC hDC,HBITMAP hBitmap,RECT &drawRect,int initRect=TRUE)const;
	void centerRect(HBITMAP hBitmap,RECT &bitmapRect)const;
private:
};
#endif
